Subject: RPF checking for fast convergence of MVPN

From: Xiaohu Xu <[email-masked]>
Date: Mon, 20 Feb 2006 20:35:02 +0800

Dear Eric,
 
In your last email to me, you said,
> When the upstream PE for an SPT changes, I am told that current practice is
> to immediately send a Join(S,G) toward the new PE and a Prune(S,G) toward
> the old PE. That is, the Prune(S,G) for the old tree is not delayed while
> waiting for data to be received on the new tree. Therefore one doesn't
> really have to know whether any given data packet came on the old SPT or the
> new one. 

The following is a digest from RFC2362 [PIM-SM]: 

   The router must send a Join/Prune message with S in the Join list out
   any new incoming interfaces to inform upstream routers that it
   expects multicast datagrams over the interface.  It may also send a
   Join/Prune message with S in the Prune list out the old incoming
   interface, if the link is operational, to inform upstream routers
   that this part of the distribution tree is going away.[on page 12 of RFC2362]

In the above description, it is not required to send a (S,G)prune to the old upstream as soon as a (S,G)join is sent to the new upstream. In addition, to reduce interruption duration and avoid duplicated packets during the switchover, special process should be taken just like what has be done for the smooth switchover from RPT to SPT.

As I had known, some Chinese telecom carriers had already put forward higher requirements for fast convergence of PIM-SM during some admittance testing in order to provide high-performance IPTV service to public.For example, no interruption is allowed during the switchover from the second best path to the best path. 

As MVPN is just used for enterprise business, fast convergence may be a small issue which can be neglected, but as it is being used for providing IPTV service to public, I think, fast convergence becomes a big issue. If the latter is true, RPF checking is needed for MVPN in case of ingress replication, that is to say, the egress PE should distinguish from which upstream PE the received data packet is transmitted.

More comments are expected from yourself and anybody else.

A URL for my Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-xu-l3vpn-2547bis-mcast-01.txt 

Best regards,

Xiaohu Xu

Email: [email-masked]